uim-gtk2.0_1.8.8-4+deb10u2_i386.deb


Advertisement

Description

uim-gtk2.0 - Universal Input Method - GTK+2.x front end

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename uim-gtk2.0_1.8.8-4+deb10u2_i386.deb
Package name uim-gtk2.0
Package version 1.8.8
Package release 4+deb10u2
Package architecture i386
Package type deb
Category accessibility::input implemented-in::c interface::graphical interface::x11 role::plugin role::program uitoolkit::gtk x11 x11::application
Homepage https://github.com/uim/uim/wiki
License -
Maintainer HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Download size 74.17 KB
Installed size 344.00 KB
Uim is an input method module library which supports various scripts and can
act as a front end for a range of input methods, including Anthy, Canna,
or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
M17n (for many other languages). Most of its functions are implemented in
Scheme, so it's very simple and flexible.
This package contains an GTK+2.0 front-end applications for uim.

Alternatives

Package Version Architecture Repository
uim-gtk2.0_1.8.8-4+deb10u2_amd64.deb 1.8.8 amd64 Debian Main
uim-gtk2.0 - - -

Requires

Name Value
libc6 >= 2.4
libcairo2 >= 1.2.4
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.35.9
libgtk2.0-0 >= 2.24.32
libpango-1.0-0 >= 1.14.0
libuim-custom2 >= 1:1.7.0
libuim-scm0 >= 1:1.5.7
libuim8 >= 1:1.5.7
libx11-6 -
uim = 1:1.8.8-4+deb10u2
uim-data >= 1:1.8.8-4+deb10u2
uim-gtk2.0-immodule = 1:1.8.8-4+deb10u2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package uim-gtk2.0_1.8.8-4+deb10u2_i386.deb
Source Package uim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install uim-gtk2.0 deb package:
    # sudo apt-get install uim-gtk2.0

Files

Path
/usr/bin/uim-im-switcher-gtk
/usr/bin/uim-input-pad-ja
/usr/bin/uim-pref-gtk
/usr/bin/uim-toolbar-gtk
/usr/bin/uim-toolbar-gtk-systray
/usr/lib/uim/uim-candwin-gtk
/usr/lib/uim/uim-candwin-horizontal-gtk
/usr/lib/uim/uim-candwin-tbl-gtk
/usr/share/applications/uim.desktop
/usr/share/doc/uim-gtk2.0
/usr/share/lintian/overrides/uim-gtk2.0

Changelog

2019-09-12 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-4+deb10u2) buster; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* resurrect libuim-data as a transitional package (Closes: #939588).
After upgrading from stretch to buster, if purging libuim-data,
its postrm script deletes /var/lib/uim/*.scm files required by uim.
This libuim-data transitional package can be removed safely.
[ NOKUBI Takatsugu ]
* d/control: uim-data depends libuim-data dummy package,
change the description.
* d/libuim-data.postint: re-register all modules, fix #939588
2019-03-28 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-4) unstable; urgency=medium
[ YOSHINO Yoshihito ]
* Non-maintainer upload.
* d/{uim.{postinst,prerm},NEWS}: Do not auto-register/unregister plugins of
the following input methods:
byeoru, ipa-x-sampa, latin, look, m17nlib, pinyin, viqr
When upgrading from stretch this behaved badly and they took precedence
over other popular plugins many people use.
* d/{control,rules,uim-*.{postinst,prerm}}: Resurrect packages
uim-{byeoru,ipa-x-sampa,latin,look,m17nlib,pinyin,viqr} for those plugins.
All of them exist in stretch and should upgrade normally.
Dear testing/sid users,
If you are using some of the input methods above, you have to manually
install the respective package(s). Sorry for any inconvenience.
* d/{uim.preinst,control}: Unregister those plugins on upgrade from
testing/sid. Make uim Pre-Depends: uim-data accordingly.
2018-08-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-3) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* d/control: set Breaks+Replaces: uim-qt5 to uim-qt5-immodule
(Closes: #905186).
2018-05-13 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* d/t/: do not use Makefile.
2018-05-12 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.8-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream release.
* d/control: tighten build-dependency libgcroots-dev.
* d/p/support_anthy-0.3.patch: refresh patch.
* d/p/fix_spelling_error_sigscheme.patch: removed, imported upstream.
* d/p/uim_can_work_with_libgcroot_0.2.2.patch: removed, imported upstream.
* d/rules, d/uim-data.docs: use RELNOTE as upstream changelog.
* support autopkgtest.
* bump up Standards-Version 4.1.4.
2018-03-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180301.c79432c-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* d/p/qt5-disable-debug-flag.patch: removed, imported upstream.
* d/p/qt5-immodule-qmake-conf.patch: removed, not-needed.
2018-02-11 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180114.64e3173-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* eliminate lintian warning: spelling-error-in-patch-description
* uim-data and uim-plugins breaks/replaces old uim-anthy (Closes: #890068).
2018-01-24 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180114.64e3173-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* d/p/pass_cppflags_to_cmake_cxx_flags.patch: removed, imported upstream.
* uim-anthy pre-depends uim-data (Closes: #877918)
thanks to Andreas Beckmann <anbe@debian.org>.
* eliminate lintian warning: insecure-copyright-format-uri
2018-01-14 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20180111.cbd2c5e-1) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream git checkout.
* Move Vcs-* to salsa.debian.org

See Also

Package Description
uim-gtk3-immodule_1.8.8-4+deb10u2_i386.deb Universal Input Method - GTK+3.x IM module
uim-gtk3_1.8.8-4+deb10u2_i386.deb Universal Input Method - GTK+3.x front end
uim-ipa-x-sampa_1.8.8-4+deb10u2_all.deb Universal Input Method - X-SAMPA IPA input support metapackage
uim-latin_1.8.8-4+deb10u2_all.deb Universal Input Method - Latin script input support metapackage
uim-look_1.8.8-4+deb10u2_all.deb Universal Input Method - Dictionary-based completion input support metapackage
uim-m17nlib_1.8.8-4+deb10u2_all.deb Universal Input Method - m17nlib plugin metapackage
uim-mozc_2.23.2815.102+dfsg-4_i386.deb Mozc engine for uim - Client of the Mozc input method
uim-pinyin_1.8.8-4+deb10u2_all.deb Universal Input Method - pinyin input support metapackage
uim-plugins_1.8.8-4+deb10u2_i386.deb Universal Input Method - plugin files
uim-qt5-immodule_1.8.8-4+deb10u2_i386.deb Universal Input Method - Qt 5.x IM module
uim-qt5_1.8.8-4+deb10u2_i386.deb Universal Input Method - Qt 5.x front end
uim-skk_1.8.8-4+deb10u2_all.deb Universal Input Method - SKK support metapackage
uim-tcode_1.8.8-4+deb10u2_all.deb Universal Input Method - T-Code support metapackage
uim-viqr_1.8.8-4+deb10u2_all.deb Universal Input Method - Vietnamese Quoted-Readable support metapackage
uim-xim_1.8.8-4+deb10u2_i386.deb Universal Input Method - XIM compatibility interface
Advertisement
Advertisement